/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: TestHmcSmsCodeInterface.java
 * Author:   duhui
 * Date:     2015年5月11日 下午2:28:11
 * Description:     
 * History: 
 * <author>      <time>      <version>    <desc>
 * 修改人姓名                          修改时间                        版本号                                 描述
 */
package com.house365.test;

import org.junit.Test;
import org.springframework.web.client.RestTemplate;

/**
 * 测试获取验证码接口
 *
 * @author nizhengjia
 * @version [v1.0.0, 2015年5月11日]
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
public class TestSmsCodeInterface {

    /**
     * 公共地址入口
     */
    private String target = "http://127.0.0.1:8080/house365-cm-web/rest/interface/";
    
    /**
     * 模拟web接口调用
     */
    @Test
    public void webInterfaceTest() {
        
        StringBuffer buffer = new StringBuffer();
        buffer.append("?");
        // 调用服务编码 
        buffer.append("serviceCode=Cm");
        buffer.append("&");
        // 调用服务名称 
        buffer.append("serviceName=SmsCode");
        buffer.append("&");
        // 城市参数
        buffer.append("city=nj");
        buffer.append("&");
        // 手机号码参数
        buffer.append("phone=18625187109");
        buffer.append("&");
        // 设备参数
        buffer.append("api_key=android"); 
        buffer.append("&");
        // 设备号参数
        buffer.append("deviceid=353347060587282"); 
        buffer.append("&");
        
        buffer.append("ver=v1.0.0"); 
        //拼接参数
        target += buffer.toString();  
        System.out.println(target);   
        // 调用公共容器
        RestTemplate restTemplate = new RestTemplate();
        String result = restTemplate.getForObject(target, String.class);
        
        // 返回处理结果
        System.out.println("接口调用返回值：" + result);
    }
    
}
